<!--- Copyright 2002-2023 CS GROUP
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
    http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
-->

# Overview

Orekit Tutorials library contains the Java tutorials for the Orekit library.

OREKIT (ORbits Extrapolation KIT) is a free low-level space dynamics library written in Java.

It provides basic elements (orbits, dates, attitude, frames ...) and
various algorithms to handle them (conversions, analytical and numerical
propagation, pointing ...).
  
More information on Orekit can be found on:

  * [Orekit Website](http://orekit.org/): it contains all documentation and useful links;
  * [Orekit Forum](https://forum.orekit.org/): use this link for any question you want to ask to the Orekit community;
  * [Orekit Forge](https://gitlab.orekit.org/): contains Orekit library source code, issue tracker etc;
  * [Orekit Tutorials Forge](https://gitlab.orekit.org/orekit/orekit-tutorials): contains Orekit Tutorials source code, issue tracker etc.
  
Issues should be reported on the:

  * [Orekit issue tracker](https://gitlab.orekit.org/orekit/orekit/issues): for issues related to Orekit;
  * [Orekit Tutorials issue tracker](https://gitlab.orekit.org/orekit/orekit-tutorials/issues): for issues specifically related to Orekit Tutorials.

## Free software

Orekit is freely available both in source and binary formats, with all related
documentation and tests.

It is distributed under the [Apache License Version 2.0](./licenses.html). This
is a well known business-friendly license. This means anybody can use it to build
any application, free or not. There are no strings attached to your own code.

Everybody is encouraged to use Orekit as a common low level layer to improve
interoperability in space systems.

## Maintained library

Orekit has been in development since 2002 inside [CS GROUP](https://www.csgroup.eu/)
and is still used and maintained by its
experts and an open community. It is ruled by a meritocratic governance
model and the Project Management Committee involves actors from
industry (CS, Thales Alenia Space, Applied Defense Solutions), research
(Naval Research Laboratory), agencies (European Space Operations Centre,
European Space Research and Technology Centre) and academics (University
at Buffalo, Institut National Supérieur de l'Aéronautique et de l'Espace - Sup'Aéro).

Orekit has already been successfully used during the real time monitoring of the rendez-vous
phase between the Automated Transfer Vehicle (ATV) and the International Space Station (ISS)
by the Centre National d'Études Spatiales (CNES, the French space agency) and European Space
Agency (ESA).

Orekit has been selected in early 2011 by CNES to be the basis of its next generation space
flight dynamics systems, including operational systems, study systems and mission analysis
systems.

It has been used in numerous studies and for operational systems among the world.
